gummi-0.7.4.3-lp150.1.5.x86_64.rpm


Advertisement

Description

gummi - Simple LaTeX editor

Property Value
Distribution openSUSE Leap 15.0
Repository openSUSE Oss all
Package name gummi
Package version 0.7.4.3
Package release lp150.1.5
Package architecture x86_64
Package type rpm
Installed size 763.69 KB
Download size 292.00 KB
Official Mirror widehat.opensuse.org
Gummi is an opensource project that started in August of 2009 by
Alexander van der Mey. It is a LaTeX editor written in the C
programming language using the GTK+ toolkit. It was designed with
simplicity in mind, but hopes to attract both novice and advanced
LaTeX writers. Gummi is still under active development and is
released under the opensource MIT license.

Alternatives

Package Version Architecture Repository
gummi - - -

Requires

Name Value
gtkspell -
libc.so.6(GLIBC_2.14)(64bit) -
libcairo.so.2()(64bit) -
libgdk-3.so.0()(64bit) -
libgdk_pixbuf-2.0.so.0()(64bit) -
libgio-2.0.so.0()(64bit) -
libglib-2.0.so.0()(64bit) -
libgobject-2.0.so.0()(64bit) -
libgtk-3.so.0()(64bit) -
libgtksourceview-3.0.so.1()(64bit) -
libgtkspell3-3.so.0()(64bit) -
libpango-1.0.so.0()(64bit) -
libpoppler-glib.so.8()(64bit) -
libpthread.so.0()(64bit) -
libpthread.so.0(GLIBC_2.2.5)(64bit) -
libz.so.1()(64bit) -
texlive-latex -

Provides

Name Value
application() -
application(gummi.desktop) -
gummi = 0.7.4.3-lp150.1.5
gummi(x86-64) = 0.7.4.3-lp150.1.5
mimehandler(text/x-tex) -

Download

Type URL
Binary Package gummi-0.7.4.3-lp150.1.5.x86_64.rpm
Source Package gummi-0.7.4.3-lp150.1.5.src.rpm

Install Howto

Install gummi rpm package:

# zypper install gummi

Files

Path
/usr/bin/gummi
/usr/lib64/gummi/latex_dvi.sh
/usr/share/applications/gummi.desktop
/usr/share/doc/packages/gummi/AUTHORS
/usr/share/doc/packages/gummi/COPYING
/usr/share/doc/packages/gummi/ChangeLog
/usr/share/doc/packages/gummi/README
/usr/share/gummi/
/usr/share/gummi/icons/gummi.png
/usr/share/gummi/icons/icon.png
/usr/share/gummi/misc/default.tex
/usr/share/gummi/snippets/snippets.cfg
/usr/share/gummi/snippets/snippets.lang
/usr/share/gummi/ui/gummi.glade
/usr/share/gummi/ui/prefs.glade
/usr/share/gummi/ui/snippets.glade
/usr/share/man/man1/gummi.1.gz
/usr/share/pixmaps/gummi.png

Changelog

2016-02-07 - badshah400@gmail.com
- Update gummi-predictable-tmpfiles.patch with final patch
committed by upstream (CVE-2015-7758, gh#alexandervdm/gummi#20,
boo#949682).
2015-12-17 - badshah400@gmail.com
- Update to 0.7.4.3:
+ No changelog entry.
- Add patch gummi-predictable-tmpfiles.patch to fix an exploitable
issue caused by gummi setting predictable file names in /tmp
(CVE-2015-7758, gh#alexandervdm/gummi#20, boo#949682).
- Add gummi-incorrect-desktop-file-version.patch to remove the
version tag from .desktop file, it is not meant to indicate pkg
version and causes rpmlint warnings.
- Rebase gummi-fix-crash-on-opening-file.patch for updated
version.
2015-01-16 - p.drouand@gmail.com
- Update to version 0.7.1
+ No changelog entry
- Move to GTK3
+ Replace pkgconfig(gtk+-2.0) with pkgconfig(gtk+-3.0)
+ Replace pkgconfig(gtksourceview-2.0) with pkgconfig(gtksourceview-3.0)
+ Replace pkgconfig(gtkspell-2.0) with pkgconfig(gtkspell3-3.0)
- Update Url; point to new home of the project
- Remove gummi-deprecated-g_thread_init.patch; fixed on upstream
- Adapt gummi-fix-crash-on-opening-file.patch to upstream changes
- Use download Url as source
- Split out translation files into a -lang subpackage
2013-09-27 - hpj@suse.com
- Add gummi-fix-crash-on-opening-file.patch (bnc#840589,
http://dev.midnightcoding.org/issues/498 ).
2013-01-30 - badshah400@gmail.com
- Update to version 0.6.5:
+ Bugs fixed:
- Fixed empty build logs when special characters were included
- Fixed a rare deadlock situation on program exit
- Fixed regression in spell-checking language listing
- Fixed regression in killing inresponsive compilation
processes
- Correctly close file descriptors for child processes
- Implemented --version CLI argument
- Several translation updates
- Added Hungarian translation
- Minor rebase of patch gummi-deprecated-g_thread_init.patch.
2012-06-25 - badshah400@gmail.com
- Update to version 0.6.4:
+ Bugs fixed:
- Replaced faulty importer implementation with a toolbar
variant
- Fixed an issue where the previewer would not display
correctly
- dvi script uses exit status to signal compilation status
- Improved the reported messages for some errors.
- Better TeXLive version detection
- Fixed a reference problem that could lead to a crash
- Search window is correctly centered in GNOME 3
- Tab markup not enabled when project loading fails
- Minor UI tweaks to the project & bibliography panels
- Minor UI tweaks to the snippet configuration interface
+ Minor rebase of patch gummi-deprecated-g_thread_init.patch.
2012-04-03 - badshah400@gmail.com
- Update to version 0.6.3:
+ Bugs fixed:
- Fix bibtex regression since 0.6.2
- Fix for compiling through dvi/ps
- Correctly disable template open button when none exist
- Gummi toolbar can be hidden again
- Fix LaTeX error screen and error line output
- Menu item compatibility with Ubuntu's Unity fixed
- Added Chinese (simplified) translation.
- Changes from version 0.6.2:
+ Bugs fixed:
- Recovery mode is also triggered when gummi is run with file
argv
- Incomplete compilation processes are killed on tab switch
- Fix template addition crash when zero tabs are opened
- PDF files can now be used by the image importer
- Fixed building/compilation scripts for explicit linking
- Default text only written to disk when changes are made
- SyncTeX auto-scrolling is now disabled by default
- Converted snippet offsets to utf8
- Bibliography items with all capital letters can be parsed
- Various minor spelling/phrasing errors
- Build files can now be removed from the menu
- Lots of Windows specific issues
- Addition of user guide link.
2012-02-14 - badshah400@gmail.com
- Add gummi-deprecated-g_thread_init.patch to fix build failures
for openSUSE > 12.1

See Also

Package Description
gummi-lang-0.7.4.3-lp150.1.5.noarch.rpm Translations for package gummi
gup-0.3-lp150.1.3.x86_64.rpm Group Update Program for INN and C-News
gupnp-av-0.12.10-lp150.2.1.x86_64.rpm Library to ease the handling and implementation of UPnP A/V profiles
gupnp-dlna-tools-0.10.5-lp150.1.9.x86_64.rpm A collection of helpers for building DLNA applications
gupnp-tools-0.8.14-lp150.2.2.x86_64.rpm UPnP tools to test and debug UPnP devices and control points
gupnp-tools-lang-0.8.14-lp150.2.2.noarch.rpm Translations for package gupnp-tools
gutenprint-5.2.14-lp150.1.1.x86_64.rpm Printer drivers for CUPS from the Gutenprint project
gutenprint-devel-5.2.14-lp150.1.1.x86_64.rpm Development environment for Gutenprint
gutenprint-gimpplugin-5.2.14-lp150.1.1.x86_64.rpm Alternative GIMP print plug-in from the Gutenprint project
guvcview-2.0.5-lp150.1.9.x86_64.rpm GTK+ UVC Viewer and Capturer
guvcview-devel-2.0.5-lp150.1.9.x86_64.rpm Development files for guvcview
guvcview-lang-2.0.5-lp150.1.9.noarch.rpm Translations for package guvcview
guvcview-qt5-2.0.5-lp150.1.9.x86_64.rpm Qt5 UVC Viewer and Capturer
guvcview-qt5-lang-2.0.5-lp150.1.9.noarch.rpm Translations for package guvcview-qt5
gv-3.7.4-lp150.1.7.x86_64.rpm A Program to View PostScript Files
Advertisement
Advertisement